{
  "parent": "minecraft:item/handheld",
  "textures": {
    "layer0": "minecraft:item/diamond_shovel"
  },
  "overrides": [
    { "predicate": { "custom_model_data": 1010004}, "model": "undeadm-m1:item/melee_weapon/diamond_great_hammer" },
    { "predicate": { "custom_model_data": 1010006}, "model": "undeadm-m1:item/melee_weapon/diamond_halberd_a" },
    { "predicate": { "custom_model_data": 1010011}, "model": "undeadm-m1:item/melee_weapon/diamond_staff" },
  	{ "predicate": { "custom_model_data": 1010012}, "model": "undeadm-m1:item/melee_weapon/diamond_warhammer_a" }
  ]
}
